Bug 768067

Summary: [hinting] Lowercase U, V, W, X and Y too thin at 18px bold
Product: [Fedora] Fedora Reporter: cantabile <cantabile.desu>
Component: liberation-fontsAssignee: Pravin Satpute <psatpute>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: fonts-bugs, i18n-bugs, petersen, psatpute
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-20 02:50:47 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
screenshot illustrating the problem
none
liberation fonts @ 18pt size by disabling autohint and enabling font level hint
none
screenshot showing issues is resolved with latest release 2.00.1 none

Description cantabile 2011-12-15 11:53:18 EST
Description of problem:
The lowercase U, V, W, X and Y in liberation sans at 18px and bold are noticeably thinner than the other letters of the alphabet. It's quite distracting. There is a screenshot attached.

It appears to happen only at 18px (bold).

Version-Release number of selected component (if applicable):
1.07.1

Additional info:
I'm using arch linux.
Comment 1 cantabile 2011-12-15 11:54:57 EST
Created attachment 547370 [details]
screenshot illustrating the problem
Comment 2 Jens Petersen 2011-12-15 21:57:46 EST
I wonder if it is related to hinting?
Comment 3 Pravin Satpute 2011-12-19 08:56:33 EST
Created attachment 548581 [details]
liberation fonts @ 18pt size by disabling autohint and enabling font level hint

Yes, inside fonts width of character is perfect.
There are some other hinting bugs are pending for liberation. i will looks all together.

I tested this with freetype demo program

$ftstring -m abcdefghijklmnopqrstuvw ppem 200 /usr/share/fonts/liberation/LiberationSans-Bold.ttf

(f for forcing autohint, h for disabling glyph hint, up/down for increasing pt size)

If we enable autohint, everything works fine.
I think we should enable autohint in liberation-fonts .conf file.
Comment 4 Pravin Satpute 2011-12-21 03:39:15 EST
looks like this is regression of bug #463036
Comment 5 Pravin Satpute 2012-10-05 01:43:53 EDT
Created attachment 621940 [details]
screenshot showing issues is resolved with latest release 2.00.1

This issues is fixed in Liberation 2.00.1 version available in Fedora 18 and Rawhide. Please let me know if you still see the issue
Comment 6 Fedora End Of Life 2013-04-03 16:30:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Pravin Satpute 2014-04-17 04:09:18 EDT
Since in Fedora we switched back to Liberation 1.07 this bug still exist in Fedora. Will check and update this accordingly.
Comment 8 Jan Kurik 2015-07-15 11:12:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 9 Fedora End Of Life 2016-11-24 05:35:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Pravin Satpute 2016-12-20 02:50:47 EST
I am not planning to fix this issue on liberation 1.07.1. 

One can move to Liberation 2.00.1 for fix. I am hoping, in few next Fedora releases - we can actually migrate again to 2.00.1